Page MenuHomePhabricator

Allow users of SpecialStatsAddExtra hook to provide row labels that are not i18n keys
Closed, ResolvedPublic

Description

The SpecialStatsAddExtra hook is great, but some things that should go in the left-hand column (row label) are not possible in the current form. For example, when page counters were removed (T74420: Turn hit counters (which were removed in 1.25) into an extension) the top-10 viewed pages was taken away from Special:Statistics.

Because it uses i18n keys without arguments for the content of the left-hand column, it is no longer possible to link to each page.

Event Timeline

MarkAHershberger raised the priority of this task from to Needs Triage.
MarkAHershberger updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 2:37 AM

Change 207721 had a related patch set uploaded (by MarkAHershberger):
Hook users can specify both columns in detail

https://gerrit.wikimedia.org/r/207721

Change 207722 had a related patch set uploaded (by MarkAHershberger):
Hook users can specify both columns in detail

https://gerrit.wikimedia.org/r/207722

MarkAHershberger added a subscriber: demon.
Aklapper triaged this task as Normal priority.Apr 30 2015, 11:29 AM

Change 207721 abandoned by MarkAHershberger:
Hook users can specify both columns in detail

https://gerrit.wikimedia.org/r/207721

Prod added a subscriber: Prod.May 4 2015, 12:24 AM

Change 207722 merged by jenkins-bot:
SpecialStatsAddExtra: Format column label with msg

https://gerrit.wikimedia.org/r/207722

Change 207721 restored by Chad:
Hook users can specify both columns in detail

Reason:
Restoring to push latest patch version

https://gerrit.wikimedia.org/r/207721

Change 207721 had a related patch set uploaded (by Chad):
SpecialStatsAddExtra: Format column label with msg

https://gerrit.wikimedia.org/r/207721

Change 207721 merged by jenkins-bot:
SpecialStatsAddExtra: Format column label with msg

https://gerrit.wikimedia.org/r/207721

demon closed this task as Resolved.May 23 2015, 1:51 PM
demon claimed this task.